WKSContentListener::CellContent Struct Reference documentation

WKSContentListener::CellContent Struct Reference

small class use to define a sheet cell content More...

`#include <WKSContentListener.h>`

## Public Types
enum | ContentType { C_NONE , C_TEXT , C_NUMBER , C_FORMULA , C_UNKNOWN }
| the different types of cell's field More...

## Public Member Functions
| CellContent ()
| constructor
| CellContent (CellContent const &)=default
CellContent & | operator= (CellContent const &)=default
| ~CellContent ()
| destructor
bool | empty () const
| returns true if the cell has no content
void | setValue (double value)
| sets the double value
bool | isValueSet () const
| returns true if the value has been setted
bool | hasText () const
| returns true if the text is set

## Static Public Member Functions
static bool | double2Date (double val, int &Y, int &M, int &D)
| conversion beetween double days since 1900 and date
static bool | double2Time (double val, int &H, int &M, int &S)
| conversion beetween double: second since 0:00 and time

## Public Attributes
ContentType | m_contentType
| the content type ( by default unknown )
double | m_value
| the cell value
bool | m_valueSet
| true if the value has been set
WPSEntry | m_textEntry
| the cell string
std::vector< FormulaInstruction > | m_formula
| the formula list of instruction

## Friends
std::ostream & | operator<< (std::ostream &o, WKSContentListener::CellContent const &cell)
| operator<<

## Detailed Description

small class use to define a sheet cell content

## Member Enumeration Documentation

## ◆ ContentType

enum WKSContentListener::CellContent::ContentType

the different types of cell's field

Enumerator
C_NONE |
C_TEXT |
C_NUMBER |
C_FORMULA |
C_UNKNOWN |

## Constructor & Destructor Documentation

## ◆ CellContent() [1/2]

WKSContentListener::CellContent::CellContent | ( |  | ) |
| inline

constructor

Referenced by CellContent(), and operator=().

## ◆ CellContent() [2/2]

WKSContentListener::CellContent::CellContent | ( | CellContent const & |  | ) |
| default

## ◆ ~CellContent()

WKSContentListener::CellContent::~CellContent | ( |  | ) |
| inline

destructor

## Member Function Documentation

## ◆ double2Date()

bool WKSContentListener::CellContent::double2Date | ( | double | val,
|  | int & | Y,
|  | int & | M,
|  | int & | D )
| static

conversion beetween double days since 1900 and date

Referenced by WKSContentListener::openSheetCell().

## ◆ double2Time()

bool WKSContentListener::CellContent::double2Time | ( | double | val,
|  | int & | H,
|  | int & | M,
|  | int & | S )
| static

conversion beetween double: second since 0:00 and time

Referenced by WKSContentListener::openSheetCell().

## ◆ empty()

bool WKSContentListener::CellContent::empty | ( |  | ) | const
| inline

returns true if the cell has no content

## ◆ hasText()

bool WKSContentListener::CellContent::hasText | ( |  | ) | const
| inline

returns true if the text is set

Referenced by operator<<.

## ◆ isValueSet()

bool WKSContentListener::CellContent::isValueSet | ( |  | ) | const
| inline

returns true if the value has been setted

Referenced by empty(), WKSContentListener::openSheetCell(), and operator<<.

## ◆ operator=()

CellContent & WKSContentListener::CellContent::operator= | ( | CellContent const & |  | ) |
| default

## ◆ setValue()

void WKSContentListener::CellContent::setValue | ( | double | value | ) |
| inline

sets the double value

Referenced by libwps::MultiplanParser::readSharedData(), libwps::MultiplanParser::sendCell(), and Quattro9Spreadsheet::sendCellContent().

## Friends And Related Symbol Documentation

## ◆ operator<<

std::ostream & operator<< | ( | std::ostream & | o,
|  | WKSContentListener::CellContent const & | cell )
| friend

operator<<

## Member Data Documentation

## ◆ m_contentType

ContentType WKSContentListener::CellContent::m_contentType

the content type ( by default unknown )

Referenced by CellContent(), empty(), operator<<, libwps::MultiplanParser::readSharedData(), libwps::MultiplanParser::sendCell(), and Quattro9Spreadsheet::sendCellContent().

## ◆ m_formula

std::vector<FormulaInstruction> WKSContentListener::CellContent::m_formula

the formula list of instruction

Referenced by CellContent(), empty(), WKSContentListener::openSheetCell(), operator<<, libwps::MultiplanParser::readSharedData(), libwps::MultiplanParser::sendCell(), LotusSpreadsheet::sendCellContent(), and Quattro9Spreadsheet::sendCellContent().

## ◆ m_textEntry

WPSEntry WKSContentListener::CellContent::m_textEntry

the cell string

Referenced by CellContent(), empty(), hasText(), operator<<, libwps::MultiplanParser::readSharedData(), libwps::MultiplanParser::sendCell(), LotusSpreadsheet::sendCellContent(), QuattroDosSpreadsheet::sendCellContent(), QuattroSpreadsheet::sendCellContent(), and WKS4Spreadsheet::sendCellContent().

## ◆ m_value

double WKSContentListener::CellContent::m_value

the cell value

Referenced by CellContent(), WKSContentListener::openSheetCell(), operator<<, and setValue().

## ◆ m_valueSet

bool WKSContentListener::CellContent::m_valueSet

true if the value has been set

Referenced by CellContent(), isValueSet(), and setValue().

The documentation for this struct was generated from the following files:

- WKSContentListener.h
- WKSContentListener.cpp